corda / net.corda.contracts.testing / SignedTransactionGenerator

# SignedTransactionGenerator

`class SignedTransactionGenerator : Generator<SignedTransaction>`

### Constructors

<init> | `SignedTransactionGenerator()`

### Functions

generate | `fun generate(random: SourceOfRandomness, status: GenerationStatus): SignedTransaction`

### Extension Functions

generateList | `fun <A> Generator<A>.generateList(random: SourceOfRandomness, status: GenerationStatus): List<A>` Generators for quickcheck